1
0
Fork 0

modules/firefox-profile: minor fix (+popd)

pull/683/head
tokiclover 10 years ago
parent 78f1716450
commit 1a6eaa6b66

@ -11,6 +11,7 @@
function die { function die {
local ret=$? local ret=$?
print -P " %F{red}%1x: %F{yellow}%U%I%u:%f $argv" >&2 print -P " %F{red}%1x: %F{yellow}%U%I%u:%f $argv" >&2
popd -q
return $ret return $ret
} }
@ -28,7 +29,6 @@ if [[ -f $profile/.unpacked ]] {
mv -f $profile{,.old}$ext mv -f $profile{,.old}$ext
if (( $? )) { if (( $? )) {
die "failed to override the old tarball" die "failed to override the old tarball"
popd -q
return return
} }
} }

@ -61,6 +61,7 @@ function {
pushd -q "$fhpdir:h" || return pushd -q "$fhpdir:h" || return
tar -Ocp $profile | $=compressor $profile$ext tar -Ocp $profile | $=compressor $profile$ext
if (( $? )) { if (( $? )) {
popd -q
die "failed to pack a new tarball" die "failed to pack a new tarball"
return return
} }

Loading…
Cancel
Save